image: docker

services:
 - docker:dind

before_script:
 - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD  registry.gitlab.com

build:
  script:
   - docker pull registry.gitlab.com/zhanna.nizamutdinova/flatris:latest
   - docker build --cache-from registry.gitlab.com/zhanna.nizamutdinova/flatris:latest 
     -t registry.gitlab.com/zhanna.nizamutdinova/flatris:$CI_COMMIT_SHORT_SHA
     -t registry.gitlab.com/zhanna.nizamutdinova/flatris:latest .
   - docker push --all-tags registry.gitlab.com/zhanna.nizamutdinova/flatris

